Subject: Re: getc() problem with Cygwin v1.0
From: "'Chris Faylor'" <[email-masked]>
To: "Fifer, Eric" <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jan 2000 15:39:09 -0500

Hmm.  I don't know if there is a better way to do this.  This
patch may be fine.

If I understand what you're saying, you are able to get line
editing inside of, say, "cat", right?  If so, I will apply
this patch.

Thanks for tracking this down.

cgf

On Tue, Jan 18, 2000 at 06:07:07PM -0000, Fifer, Eric wrote:
>
>Jim Grishaw writes:
>>     Thanks for the post.  I would suggest un-setting your CYGWIN=tty
>>variable and see if you still have the problem.
>
>Thanks, but since I'm using a recent snapshot (2000-Jan-14) what I'm
>seeing must be different.  The value of "tty" in CYGWIN did not
>affect the problem I reported.  Again, what I am seeing is that
>line editing works when running inside a console, but within
>rxvt line editing does not work.
>
>After poking around in the source, I was able to make a patch that
>fixes the problem I'm having.  I won't be surprised if there is a
>better way of doing this, but this does fix the problem:
>
>--- fhandler_tty.cc.orig        Tue Jan 18 17:41:18 2000
>+++ fhandler_tty.cc     Tue Jan 18 17:38:07 2000
>@@ -885,7 +885,7 @@
> int
> fhandler_pty_master::write (const void *ptr, size_t len)
> {
>-  line_edit ((char *) ptr, len, 1);
>+  line_edit ((char *) ptr, len /*, 1*/);
>   return len;
> }
>
>Having always_accept (the 3rd arg to line_edit) set to 1 prevents
>pseudo-terminals from having line editing.  I'm not sure what was
>intended here.

--
Want to unsubscribe from this list?
Send a message to [email-masked]